Manage Time-Window Rotating Product

This API allows you to take an existing standard product and configure it into a valid time-window rotating product or to manage an existing configuration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Time-Window selection rule validations


How to manage a Time-Window based Rotation using this API

  1. Choose an existing Standard or Rotating Product, if you don’t have one yet you will need to create one before you proceed with this configuration.
  2. Decide which selection rules you want to add, update or delete:
    1. All the rule validation explained above apply here, meaning that if you don’t follow them your update won't happen;
    2. Your changes will be reflected in all order items that haven’t had their Order Reminder sent or gone through the Send Now flow;
    3. You can add a new selection rule;
    4. You can delete an existing selection rule;
    5. You can update an existing selection rule with a different product and or starting date;
  3. Hit our API with your configuration, and your Time-Window based Rotating Product setup is complete!

Response Body Definitions

NameTypeDescriptionExample
array of objectsArray of object that reflect the current rotation configurationssee below

[
   {
      "public_id":"e1a61e620ed411ef8740767250df1ed7",
      "selection_rule_type":"TIME_WINDOW",
      "product_selection_list_elements":[
         {
            "public_id":"e1a626000ed411ef8740767250df1ed7",
            "product":"48398751432995",
            "starting_date":"2024-05-01T00:00:00Z"
         },
         {
            "public_id":"e1a62b140ed411ef8740767250df1ed7",
            "product":"48398752317731",
            "starting_date":"2024-06-01T00:00:00Z"
         },
         {
            "public_id":"e1a62fe20ed411ef8740767250df1ed7",
            "product":"48398760149283",
            "starting_date":"2024-07-01T00:00:00Z"
         }
      ],
      "configuration": {
            "reveal_moment": "ORDER_PLACEMENT",
            "pricing_policy": "BEST_PRICE"
        }
   }
]
📘

To get the all the rules from the rotating product use get product or list product endpoints with ?include_product_selection_rules=true as a query param

Path Params
string
required

Merchant product ID

Body Params
create
array of objects

Add new selection rules for your rotation

create
update
array of objects

Update existing selection rules

update
delete
array of strings

Delete existing selection rules with public ids to be deleted , ex: ["85eae83c245111eeb185acde48001122","b3928a0c3c4211eeac2bacde48001122"]

delete
configuration
object

Configures the rotation product

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json